<h1 align="center">x-markdown-css</h1>

<p align="center">

[![Version](https://img.shields.io/npm/v/x-markdown-css.svg)](https://www.npmjs.com/package/x-markdown-css)
[![Node.js Requirement](https://img.shields.io/badge/node-%3E%3D16-blue.svg)](https://github.com/kuohuanhuan/x-markdown-css/blob/master/package.json)
[![MIT License](https://img.shields.io/github/license/kuohuanhuan/x-markdown-css)](https://github.com/kuohuanhuan/x-markdown-css/blob/master/LICENSE)

</p>

> A simple and customizable Markdown CSS for everyone.

## Requirement

- Node.js >=16

## Install

```sh
npm install
```

## Build

```sh
npm run build
```

## Usage

You can use the minified CSS file with a CDN service:

- UNPKG: `https://unpkg.com/x-markdown-css@latest/dist/bundle.min.css`
- jsDelivr: `https://fastly.jsdelivr.net/npm/x-markdown-css@latest/dist/bundle.min.css`
- CDNJS: *Coming soon. **Waiting for you to make `x-markdown-css` [popular enough](https://github.com/cdnjs/packages/blob/master/CONTRIBUTING.md#policy-rules-and-guidelines)**!*

> *ps. `bundle.css` without `.min` stands for unminified version.*

## Uses

- [SCSS](https://sass-lang.com): CSS pre-processor.
- [Grunt](https://gruntjs.com): Automating build tasks.
- [PostCSS](https://postcss.org): Transforming CSS dist.
- [Stylelint](https://stylelint.io): Linting SCSS codes.

*...and much more.*

## Contributing

PRs, issues and feature requests are welcome!  
Feel free to check [Issues](https://github.com/kuohuanhuan/x-markdown-css/issues) page. You can also take a look at the [Contributing Guide](https://github.com/kuohuanhuan/x-markdown-css/blob/master/CONTRIBUTING.md).

## License

Copyright (c) 2023 [kuohuanhuan](https://github.com/kuohuanhuan), licensed under [MIT](https://github.com/kuohuanhuan/x-markdown-css/blob/master/LICENSE).
